Bug 136007 - [Win] Link to static VS2013 runtime library
Summary: [Win] Link to static VS2013 runtime library
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Blocker
Assignee: Brent Fulgham
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-08-15 16:55 PDT by Brent Fulgham
Modified: 2014-08-18 08:48 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.34 KB, patch)
2014-08-15 16:58 PDT, Brent Fulgham
dino: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2014-08-15 16:55:58 PDT
This bug switches our build from using the VS2013 DLL to linking to the static library.
Comment 1 Brent Fulgham 2014-08-15 16:56:18 PDT
<rdar://problem/18037766>
Comment 2 Brent Fulgham 2014-08-15 16:58:21 PDT
Created attachment 236693 [details]
Patch
Comment 3 Brent Fulgham 2014-08-15 17:42:50 PDT
Committed r172661: <http://trac.webkit.org/changeset/172661>
Comment 4 Csaba Osztrogonác 2014-08-16 11:01:22 PDT
(In reply to comment #3)
> Committed r172661: <http://trac.webkit.org/changeset/172661>

FYI: It broke the build on the Apple Windows buildbots and EWS
Comment 5 Brent Fulgham 2014-08-18 08:48:31 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > Committed r172661: <http://trac.webkit.org/changeset/172661>
> 
> FYI: It broke the build on the Apple Windows buildbots and EWS

This is fixed. We needed to update the WebKitSystemInterface.lib to a version that statically linked to VS2013 runtime.